Docs
Add Crew
POST /organizations/{orgId}/crew
POST
/organizations/{orgId}/crewAdds a contact to the crew database without an account or any access; to give someone access to the organization, use Crew_InviteCrew instead. At least one of first name, last name, email or phone is required. typeIds come from Crew_GetCrewTypes (archived types are refused) and attribute ids from Crew_GetCrewAttributes. Returns 201 with the new member's { id }. Needs Organization admin.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| orgId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| firstName | string | Optional | |
| lastName | string | Optional | |
| string | Optional | ||
| phoneNumber | string | Optional | |
| typeIds | uuid[] | Optional | |
| attributeValues | AddCrewRequestAttributeValueInput[] | Optional |
AddCrewRequestAttributeValueInput
| Field | Type | Description |
|---|---|---|
| attributeId | uuid | |
| value | string| null |